Bug 113799 - returning reference to local variable ?
returning reference to local variable ?
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 06:50 EST by d.binderman
Modified: 2013-03-13 00:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 01:13:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-18 06:50:58 EST
Description of problem:

I just tried to compile package festival-1.4.2-19, from Redhat
Fedora Core 1.

The compiler said

1.

EST_Pathname_unix.cc(148): warning #879: returning reference to local
variable

The source code is

EST_Pathname &operator += (EST_Pathname p, const EST_Pathname addition)
{ p = EST_Pathname::append(p, addition); return p; }

I think the compiler is correct. Maybe it would be better to have the
first parameter as a reference ?

EST_Pathname &operator += (EST_Pathname & p, const EST_Pathname addition)
{ 
	p = EST_Pathname::append(p, addition); 
	return p; 
}


2.

EST_Pathname_unix.cc(150): warning #879: returning reference to local
variable

Duplicate.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Miller 2005-02-06 23:44:52 EST
This is probably better reported to the upstream developers --
<http://www.cstr.ed.ac.uk/projects/festival/>.

Note You need to log in before you can comment on or make changes to this bug.